Type to search.

Delete a query rule

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.15 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Delete a query rule within a query ruleset. This is a destructive action that is only recoverable by re-adding the same rule with the create or update query rule API.

About deleting a query rule

Required privileges

Cluster privileges manage_search_query_rules

Path parameters

ruleset_id string required

The unique identifier of the query ruleset containing the rule to delete

rule_id string required

The unique identifier of the query rule within the specified ruleset to delete

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.